#
# spec file for package htmldoc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           htmldoc
BuildRequires:  autoconf
BuildRequires:  fltk-devel
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libdrm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  openssl-devel
Url:            http://htmldoc.org/
Version:        1.8.27
Release:        0
Summary:        HTML Processor that Generates HTML, PostScript, and PDF Files
License:        LGPL-2.1+
Group:          Productivity/Publishing/HTML/Tools
Source:         %{name}-%{version}-source.tar.bz2
Patch:          %{name}-docpath.diff
Patch1:         htmldoc_CVE-2009-3050_535943.diff
Patch2:         htmldoc-fortify.diff
# link to libpng15.patch sent to mike@easysw.com
Patch3:         htmldoc-libpng15.diff
Patch4:         htmldoc-link-x11.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define       DOCDIR %{_datadir}/doc/packages/%{name}

%description
HTMLDOC converts HTML source files into indexed HTML, PostScript, or
Portable Document Format (PDF) files that can be viewed online or
printed.

%prep
%setup 
%patch
%patch1 -p1
%patch2
%patch3
%patch4 -p1

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
autoconf
./configure \
	--bindir=%{_bindir} \
	--prefix=%{_usr} \
	--mandir=%{_mandir} \
	--with-fltk-libs=/usr/X11R6/lib \
	--with-fltk-includes=/usr/X11R6/include \
	--with-gui
make

%install
[ x"${RPM_BUILD_ROOT}" = x"/" ] && ( echo "your buildroot is /" && exit 0) || rm -rf "${RPM_BUILD_ROOT}"
mkdir -p \
	${RPM_BUILD_ROOT}/%{_bindir} \
	${RPM_BUILD_ROOT}/%{_mandir}
make \
	bindir=${RPM_BUILD_ROOT}/%{_bindir} \
	prefix=${RPM_BUILD_ROOT}/%{_usr} \
	mandir=${RPM_BUILD_ROOT}/%{_mandir} \
install 
rm -v doc/Makefile

%files 
%defattr(-,root,root)
%{_bindir}/htmldoc
%{_datadir}/htmldoc
%doc %{_mandir}/man1/htmldoc.1.gz
%doc doc/ cgi-bin/ CHANGES.txt COMPILE.txt COPYING.txt README.txt

%changelog
